Page 1 of 3

(another) Pokemon Game

Posted: Mon May 28, 2012 12:45 pm
by schme16
I've been working on this in my spare time; and when I came to post it I saw that a fellow lover (and brony?) jradich had also started a Pokemon themed project.

Our projects are quite different however (see his here)

Mine is mostly about the over-world, with the Pokemon/battles/rpg elements missing thus far.

W,A,S,D to move (or arrow keys for those so inclined) - This is really as much as can be done so far
Image

Also, inside the source there is also a level editor and a quick readme about it.

--
UPDATES:
05-06-12 || Added sprite-batches to the rendering disabled v-sync and re-designed the player movement/animation delta (many enhancements were made to the editor also)

--
pkmn.love
V0.000004 - Some more features implemented (Sprite-batches being the biggest of which)
(484.4 KiB) Downloaded 255 times
pkmn.love
v0.00003 - Tried changing the way I call files... fingers crossed?
(213.75 KiB) Downloaded 176 times

Re: (another) Pokemon Game

Posted: Mon May 28, 2012 1:38 pm
by Larsii30
I love the graphics style. Self-made?
The .love doesn't work btw.

Re: (another) Pokemon Game

Posted: Mon May 28, 2012 1:52 pm
by coffee
Even fixing your "saveTable" > "SaveTable" I get a "map.script" nil error at start. Better fix filename and properly test it before upload it.
Also is always better create a blog if announced "My Development Diary - http://shanegadsby.info" ;)

Re: (another) Pokemon Game

Posted: Mon May 28, 2012 2:13 pm
by schme16
coffee wrote:Even fixing your "saveTable" > "SaveTable" I get a "map.script" nil error at start. Better fix filename and properly test it before upload it.
Also is always better create a blog if announced "My Development Diary - http://shanegadsby.info" ;)
It works fine on all of the PC I've been testing on; can I get some info about your setup?
i.e
OS - OS version (vista/XP; leopard/snow leopard etc)
version of love being used (the game was developed on 0.8.0)
anything else you'd care to share :)

Also, my BYO ip for wordpress expired; it's been a while since I last posted here and forgot to edit it (good catch I guess?)


EDIT: I updated the download; hopefully this should fix the problem that you experienced. :3

Re: (another) Pokemon Game

Posted: Mon May 28, 2012 2:58 pm
by coffee
schme16 wrote: EDIT: I updated the download; hopefully this should fix the problem that you experienced. :3
Your problem is strange. You didn't fixed the "saveTable" problem in second uploaded version. You have a file "editor/SaveTable.lua" but are requiring "require('editor/saveTable')" in main. Your default packaged file fails but if I run/drag it as folder works.
Your packaged file failed either in OSX (0.72,0.80 and 0.80 JIT). Also failed in my XP 32bits. And I think Larsii that had probably same error uses Linux.
The second error seems fixed in this version (if I run it as folder either in Win or OSX). I hope it was detailed enough.

Re: (another) Pokemon Game

Posted: Mon May 28, 2012 3:13 pm
by schme16
coffee wrote:
schme16 wrote: EDIT: I updated the download; hopefully this should fix the problem that you experienced. :3
Your problem is strange. You didn't fixed the "saveTable" problem in second uploaded version. You have a file "editor/SaveTable.lua" but are requiring "require('editor/saveTable')" in main. Your default packaged file fails but if I run/drag it as folder works.
Your packaged file failed either in OSX (0.72,0.80 and 0.80 JIT). Also failed in my XP 32bits. And I think Larsii that had probably same error uses Linux.
The second error seems fixed in this version (if I run it as folder either in Win or OSX). I hope it was detailed enough.

I changed the way the files are required (using dots rather than slashes and fixed the letter case problem)

fingers crossed!

Re: (another) Pokemon Game

Posted: Mon May 28, 2012 3:32 pm
by coffee
schme16 wrote: fingers crossed!
You fixed it for all versions but I think someone wrote that "." should no longer used (I can be wrong on this). "/" could not be the problem here. Instead of require ("folder.name") use require "folder/name". All work fine too that way and you don't need "." I believe this is also the correct way (without "()").

Re: (another) Pokemon Game

Posted: Mon May 28, 2012 4:03 pm
by Robin
coffee wrote:I think someone wrote that "." should no longer used
Wrong! It's "/" that shouldn't be used.
coffee wrote:I believe this is also the correct way (without "()").
Wrong again! require is just another function, like print and love.graphics.draw. If a function only gets a single argument, and that argument is either a string literal or a table literal, you can leave off the parentheses if you want, but that is by no means the only correct way.

Re: (another) Pokemon Game

Posted: Mon May 28, 2012 4:04 pm
by bartbes
coffee wrote:I think someone wrote that "." should no longer used (I can be wrong on this). "/" could not be the problem here.
Yes, you are wrong on this. While / works, . is the official way. (But don't use extensions, keep that in mind.)
coffee wrote:I believe this is also the correct way (without "()").
There is no right or wrong here, it's a matter of preferences, with and without preferences are functionally equivalent, it's just syntax.

Sigh, ninja'd by robin.

Re: (another) Pokemon Game

Posted: Mon May 28, 2012 4:06 pm
by Robin
bartbes wrote:Sigh, ninja'd by robin.
Great minds think alike. ;)